# Organization API: Customer Portal: Users

> The 5 Organization API operations for users.

Source: https://docs.coritan.com/api/reference/organizations/customer-portal/servers-users/

Part of [Customer Portal](/api/reference/organizations/customer-portal/).

## Operations

| Method | Path | Summary |
| --- | --- | --- |
| GET | [`/api/v1/orgs/{org_slug}/portal/servers/{uuid}/users`](#op-get-api-v1-orgs-org-slug-portal-servers-uuid-users) | List org subusers |
| POST | [`/api/v1/orgs/{org_slug}/portal/servers/{uuid}/users`](#op-post-api-v1-orgs-org-slug-portal-servers-uuid-users) | Add org subuser |
| POST | [`/api/v1/orgs/{org_slug}/portal/servers/{uuid}/users/leave`](#op-post-api-v1-orgs-org-slug-portal-servers-uuid-users-leave) | A subuser drops their own grant |
| PUT | [`/api/v1/orgs/{org_slug}/portal/servers/{uuid}/users/{subuser_id}`](#op-put-api-v1-orgs-org-slug-portal-servers-uuid-users-subuser-id) | Update org subuser |
| DELETE | [`/api/v1/orgs/{org_slug}/portal/servers/{uuid}/users/{subuser_id}`](#op-delete-api-v1-orgs-org-slug-portal-servers-uuid-users-subuser-id) | Delete org subuser |

### List org subusers {#op-get-api-v1-orgs-org-slug-portal-servers-uuid-users}

`GET /api/v1/orgs/{org_slug}/portal/servers/{uuid}/users`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Add org subuser {#op-post-api-v1-orgs-org-slug-portal-servers-uuid-users}

`POST /api/v1/orgs/{org_slug}/portal/servers/{uuid}/users`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `permissions` | array of string | yes |
| `username_or_email` | string or null | no |
| `username` | string or null | no |
| `email` | string or null | no |

#### Responses

| Status | Meaning |
| --- | --- |
| `201` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### A subuser drops their own grant {#op-post-api-v1-orgs-org-slug-portal-servers-uuid-users-leave}

`POST /api/v1/orgs/{org_slug}/portal/servers/{uuid}/users/leave`

A subuser drops their own grant. Owners cannot leave their own server.

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Update org subuser {#op-put-api-v1-orgs-org-slug-portal-servers-uuid-users-subuser-id}

`PUT /api/v1/orgs/{org_slug}/portal/servers/{uuid}/users/{subuser_id}`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `subuser_id` | path | integer | yes |
| `org_slug` | path | string | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `permissions` | array of string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Delete org subuser {#op-delete-api-v1-orgs-org-slug-portal-servers-uuid-users-subuser-id}

`DELETE /api/v1/orgs/{org_slug}/portal/servers/{uuid}/users/{subuser_id}`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `subuser_id` | path | integer | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |
